BSF under 3.1?

Help
2004-10-04
2013-04-08
  • Ed Burnette

    Ed Burnette - 2004-10-04

    Do you have a version that works under 3.1? The internal console classes you're using have gone away. Also I was wondering if you've tried the groovy adapter with this.

     
    • Matthew Conway

      Matthew Conway - 2004-10-08

      No I haven't used this with 3.1 because 3.1 runs unbearbaly slow  for me.

      I'm not actually using the console classes, so if you get the CVS, you can just delete those classes from the project and build.  I was toying with the idea of creating a "console" for interactive javascript evaluation, but haven't gotten around to it yet.  The new console classes in 3.1 will probably make this easier to do, so once I have a working 3.1 I'll probably implement it.

       
    • Matthew Conway

      Matthew Conway - 2004-10-08

      I haven't tried the groovy adapter.  I'm using bsf 2.2 in the plugin, so if the adapter works with that version, it should work.  Make sure you set the classpath for the BSF engine pref page to contain both the adapter and the groovy jars.
      If it doesn't work, you may be able to drop in a newer bsf jar into the plugin dir so long as  the interfaces I'm using were preserved across versions

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks